#
# ovirt-engine-setup -- ovirt engine setup
# Copyright (C) 2014 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


"""base core plugin."""


from otopi import util

from . import answerfile
from . import duplicated_constants_check
from . import filter_secrets
from . import misc
from . import offlinepackager
from . import postinstall
from . import reconfigure
from . import uninstall


@util.export
def createPlugins(context):
    answerfile.Plugin(context=context)
    duplicated_constants_check.Plugin(context=context)
    filter_secrets.Plugin(context=context)
    misc.Plugin(context=context)
    offlinepackager.Plugin(context=context)
    postinstall.Plugin(context=context)
    reconfigure.Plugin(context=context)
    uninstall.Plugin(context=context)


# vim: expandtab tabstop=4 shiftwidth=4
